function [lx, mx] = LifeHistory(S, R, G, D, steps)

lxmat = G*S;
mxmat = D*R;
[m,n] = size(S); lx = zeros(m,m,steps); mx = lx; 
mx(:,:,1) = 0;
lx(:,:,1) = eye(m,n);

for i=2:1:steps,
    lx(:,:,i) = lxmat*lx(:,:,i-1);
    mx(:,:,i) = mxmat;
end