function [lxmxres, lxmx, lxres, mxres] = OffspringDist(lx, mx)
[m,n,z] = size(lx); maxval = z; matsize = m;
lxmxres = zeros(maxval,matsize);
lxmx = zeros(matsize,matsize,maxval);
for i=1:maxval,
    lxmx(:,:,i) = mx(:,:,i)*lx(:,:,i);
    lxmxres(i,:) = sum(lxmx(:,:,i),1); % sum over columns
    lxres(i,:) = sum(lx(:,:,i),1); % sum over columns
    mxres(i,:) = sum(mx(:,:,i),1); % sum over columns
end
